/***************************************************************************
                          rds.cpp  -  description
                             -------------------
    begin                : Sun Feb 15 2009
    copyright            : (C) 2009 by Ernst Martin Witte
    email                : emw-kradio@nocabal.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "rds_group.h"

RDSGroup::RDSGroup()
{
    clear();
}

RDSGroup::~RDSGroup()
{
}

void RDSGroup::clear()
{
    for (int i = 0; i < RDS_BLK_MAXCOUNT; ++i) {
        m_rawdata[i] = 0;
    }

    m_pi_code    = 0;
    m_group_code = 0;
    m_pty        = 0;
    m_tp         = 0;
}


void RDSGroup::decode()
{
    m_pi_code    = (m_rawdata[RDS_PI_BLOCK ] & RDS_PI_MASK ) >> RDS_PI_SHIFT;
    m_group_code = (m_rawdata[RDS_GRP_BLOCK] & RDS_GRP_MASK) >> RDS_GRP_SHIFT;
    m_pty        = (m_rawdata[RDS_PTY_BLOCK] & RDS_PTY_MASK) >> RDS_PTY_SHIFT;
    m_tp         = (m_rawdata[RDS_TP_BLOCK ] & RDS_TP_MASK ) >> RDS_TP_SHIFT;
}
